Cannot install Sarg report on Pfsense 2.3.1_1



  • Available Packages on Pfsense 2.3.1_1 hasn`t SARG Package, i wanto install it. Please, could you tell me about your solutions.

    Tks



  • It has been removed.  It may come back in the future.  Use Lightsquid instead.



  • @KOM:

    It has been removed.  It may come back in the future.  Use Lightsquid instead.

    Tks KOM,

    What time do you know about Sarg come back in the future?  because Lightsquid is not enough information.

    Please could you tell me about your solutions



  • What time do you know about Sarg come back in the future?

    Just as soon as somebody picks up that task and repackages Sarg for pfSense 2.3.

    Please could you tell me about your solutions

    Either use Lightsquid like I mentioned earlier, or manually take your access.log and run it through a log analyzer like AWStats, Squidalyzer, Sawmill, etc.



  • I am able to install SARG version: 2.3.10 Apr-12-2015.
    The problem was some broken files:
    Shared object "libgd.so.6" not found, required by "sarg".

    Fix install missing libgd dependcies giflib and webp then force reinstall libgd.
    Sarg now works.
    Edit /usr/local/etc/sarg/sarg.conf  point  output to /usr/local//www/squid-reports
    I added to cron job  : 
    /usr/local/bin/sarg & /usr/local/sbin/squid -k rotate (or just type it in command) to generate report then rotate the log.
    reports can then be viewed @ http://pfsense.ip/squid-reports/

    Hope they will add the package back.

    Modified:
    I use libgd-2.2.3_1 but this will be downgraded if you install other packages. and needs to deinstall sarg.  I just updated to lates stable 2.3.2_1 after update I reinstalled libgd-2.2.3_1 and sarg. I don't know if it have some problem so far none.